Bug 202965 - sysutils/beadm - please update the port to latest 1.2.3 version with fixed bugs
Summary: sysutils/beadm - please update the port to latest 1.2.3 version with fixed bugs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-08 07:47 UTC by vermaden
Modified: 2015-10-16 04:44 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bdrewery)


Attachments
Update patch (1.66 KB, patch)
2015-09-08 15:00 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk -t log (9.09 KB, text/plain)
2015-09-08 15:01 UTC, Andrey Fesenko
no flags Details
Update patch (1.66 KB, patch)
2015-09-17 11:27 UTC, Andrey Fesenko
no flags Details | Diff
Update patch (1.66 KB, patch)
2015-09-17 11:30 UTC, Andrey Fesenko
andrey: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2015-09-08 07:47:06 UTC
Hi,

please update the sysutils/beadm port to latest 1.2.3 version from here:

https://github.com/vermaden/beadm/tree/1.2.3

CHANGELOG:

 - Fix dataset listing (avoid listing snapshots).
 - Implement name sanity check upon creation of new BE.
 - Avoids issues with ZFS bookmarks.
 - Add sed(1) fix for beadm mount command.


Regards,
vermaden
Comment 1 Andrey Fesenko 2015-09-08 15:00:55 UTC
Created attachment 160836 [details]
Update patch

Update to 1.2.3
* remove GH_TAGNAME (release not bleeding edge)
* remove files (upstream 51afe10)
Comment 2 Andrey Fesenko 2015-09-08 15:01:25 UTC
Created attachment 160837 [details]
poudriere bulk -t log
Comment 3 vermaden 2015-09-17 07:17:27 UTC
Hi,

as this 1.2.3 version has not yet been commited to the Ports tree, then I would suggest adding latest 1.2.6 BEADM with /boot/entropy file management:

(latest commit)
https://github.com/vermaden/beadm/commit/f5a02cdbc07a9d7511e123d22d121b218c206b93

(TAG)
https://github.com/vermaden/beadm/tree/1.2.6

Regards,
vermaden
Comment 4 Andrey Fesenko 2015-09-17 11:27:21 UTC
Created attachment 161145 [details]
Update patch

Update patch bump to 1.2.6
Comment 5 Andrey Fesenko 2015-09-17 11:30:46 UTC
Created attachment 161146 [details]
Update patch

Obsoletes old patch
Comment 6 vermaden 2015-09-18 06:35:36 UTC
The diff seems strange in this 'update patch', I only need that this file:
https://github.com/vermaden/beadm/blob/1.2.6/beadm

Would be used in 1.2.6 sysutils/beadm port, other files haven't changed.

I do not mind what has been changed in Makefile as long as port is delivered.

Regards,
vermaden
Comment 7 Andrey Fesenko 2015-09-18 14:04:06 UTC
(In reply to vermaden from comment #6)
Since released new release, the updated version of the port seems most logical.

Is possible to leave the port of version 1.2.3 and make changes patch files/patch-beadm but what's the point, time is now available a new release.
Comment 8 Bryan Drewery freebsd_committer 2015-09-18 16:11:57 UTC
I'll review this soon.
Comment 9 vermaden 2015-09-24 20:01:08 UTC
Any progress?
Comment 10 commit-hook freebsd_committer 2015-09-24 20:39:59 UTC
A commit references this bug:

Author: bdrewery
Date: Thu Sep 24 20:39:06 UTC 2015
New revision: 397758
URL: https://svnweb.freebsd.org/changeset/ports/397758

Log:
  Update to 812292829e43786db878ee2c9102b72b59f325ce

  Changes:
    - Restrict allowed characters for BE.
    - Fix dataset listing (avoid listing snapshots).
    - Avoid issues with bookmarks.
    - Automatically unmount the BE when activating it.
    - Fix grub not updating for: rename, activate.
    - Generate a new /boot/entropy file for new BE.

  PR:		202965

Changes:
  head/sysutils/beadm-devel/Makefile
  head/sysutils/beadm-devel/distinfo
  head/sysutils/beadm-devel/files/
Comment 11 Bryan Drewery freebsd_committer 2015-09-24 20:41:33 UTC
I'll update the main port in a few days once beadm-devel can get more testing.
Comment 12 Andrey Fesenko 2015-10-10 20:23:35 UTC
(In reply to Bryan Drewery from comment #11)
Any day once?
Comment 13 Bryan Drewery freebsd_committer 2015-10-16 04:40:32 UTC
(In reply to Andrey Fesenko from comment #12)
> (In reply to Bryan Drewery from comment #11)
> Any day once?

Thanks for the reminder!
Comment 14 commit-hook freebsd_committer 2015-10-16 04:44:13 UTC
A commit references this bug:

Author: bdrewery
Date: Fri Oct 16 04:43:18 UTC 2015
New revision: 399420
URL: https://svnweb.freebsd.org/changeset/ports/399420

Log:
  Update to 1.2.6.

  Changes:
    - Restrict allowed characters for BE.
    - Fix dataset listing (avoid listing snapshots).
    - Avoid issues with bookmarks.
    - Automatically unmount the BE when activating it.
    - Fix grub not updating for: rename, activate.
    - Generate a new /boot/entropy file for new BE.

  PR:		202965

Changes:
  head/sysutils/beadm/Makefile
  head/sysutils/beadm/distinfo
  head/sysutils/beadm/files/